import observable from '@riotjs/observable'

/**
 *  example store for trigger open
 *
 *  @author Björn Hase
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitea.node001.net/tiny-components/sidebar-form
 *
 */

export default observable({

    /**
     *
     *  @param {object} data
     *
     */
    open(name, data = undefined) {
        this.trigger('open.' + name, data)
    },

    /**
     *
     *  @param {object} data
     *
     */
    close(name = 'all') {
        this.trigger('close.' + name)
    }
})
