const tinyComponentsWebpack = require('@tiny-components/webpack')
const riotRules = require('@tiny-components/webpack/rules/riot')
const path = require('path')

module.exports = tinyComponentsWebpack({
    example: [ './src/example/example.js' ],
    styles: [ './src/example/styles.scss' ],   
}, {
    publicPath: '/example/',
    destination: path.resolve(process.cwd(), 'example'),
    rules: [ riotRules ],
    svg: {
        src: [
            'node_modules/@tiny-components/plain-ui/src/icons/mono-icons/svg/*.svg'
        ]
    },
    purge: {
        src: path.join(__dirname, './**')
    }
})
